Subject: Ticket Assigned - Delivery
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Sat, 09 May 2020 05:42:43 +0000

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi. 

This is Michelle. I made an order on your site last month.
Order #9776723130 09 Apr 2020 - 10:26 AM
Order was paid with my debit card. I have been following up regarding this almost every day. I even followed this up on Aramex, they have told me last April 21 that hey haven't received the package yet. Your online agents have been telling me the same thing everytime I do follow up, will have my concern escalated but still there is no solution about this. The tracking number for my order was even invalid days after I confirmed this to Aramex. I have talked to one of your customer service agents and she just told me the same thing that my tracking number is invalid. All your agents just tell me to wait and wait and wait. They cannot even give me a definite answer where my order is or it is even processed.

Have you even processed the order which is already paid? How long should I wait?
When will I receive the order? Can someone give me a definite answer about this concern, I will gladly appreciate your swift response.

Regards,
Michelle https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/919673